<?php

function get_client($email) {
    global $wpdb;
    $table_name_clients = $wpdb->prefix . "manager_wooconnect_clients";
    $db_query_client = $wpdb->get_results( "SELECT * FROM ".$table_name_clients. " WHERE email = '$email'" );
    if(empty($db_query_client)) {
        return false;
    } else {
        return true;
    }
}

function create_client($header, $url, $body) {

}

function send_request($header, $url, $body) {
    global $wpdb;
    $table_name_logs = $wpdb->prefix . "manager_wooconnect_logs";
    $myCurl = curl_init();
    curl_setopt_array($myCurl, array(
        CURLOPT_URL => 'http://'.$url.':59312/order',
        CURLOPT_HTTPHEADER => $header,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => $body
    ));
    $response = curl_exec($myCurl);
    curl_close($myCurl);

    $log_message = 'Order response: ' . strval($response);

    $wpdb->insert($table_name_logs,
        array(
            'timestamp' => date('l jS \of F Y h:i:s A'),
            'message' => $log_message,
            'source' => $body,
            'level' => 'http://'.$url.':59312/order'
        ));
}

function send_delivery($header, $url, $body) {
    global $wpdb;
    $table_name_logs = $wpdb->prefix . "manager_wooconnect_logs";
    $myCurl = curl_init();
    curl_setopt_array($myCurl, array(
        CURLOPT_URL => 'http://'.$url.':59312/deliveryNote',
        CURLOPT_HTTPHEADER => $header,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => $body
    ));
    $response = curl_exec($myCurl);
    curl_close($myCurl);

    $log_message = 'Delivery response: ' . strval($response);

    $wpdb->insert($table_name_logs,
        array(
            'timestamp' => date('l jS \of F Y h:i:s A'),
            'message' => $log_message,
            'level' => 'http://'.$url.':59312/deliveryNote',
            'source' => $body
        ));
}

function send_invoice() {

}

function create_log( $url, $request, $response ) {
    global $wpdb;
    $table_name_logs = $wpdb->prefix . "manager_wooconnect_logs";
    $wpdb->insert($table_name_logs,
        array(
            'timestamp' => date('l jS \of F Y h:i:s A'),
            'message' => json_encode($response),
            'source' => json_encode($request), // request
            'level' => $url // server response
        ));
}



//$post_account = array(
//    "id" => 'i1',
//    "providerId" => "",
//    "name" => $data['billing']['first_name'].' '.$data['billing']['last_name'],
//    "address" => $data['billing']['address_1'].''.$data['billing']['address_2'],
//    "city" => $data['billing']['city'],
//    "zipCode" => "",
//    "phone1" => $data['billing']['phone'],
//    "phone2" => $data['billing']['phone'],
//    "fax" => "",
//    "email" => $data['billing']['email'],
//    "osekNo" => "",
//    "sortCode1" => '',
//    "sortCode2" => '',
//    "sortCode3" => '',
//    "sortCode4" => '',
//    "sortCode5" => '',
//    "sortCode6" => '',
//    "vatFlag" => "",
//    "comercialReduc" => '',
//    "creditLevel" => '',
//    "createdDate" => "",
//    "updatedDate" => ""
//);
$post_delivery = array(
    "header" => array(
        "documentId" => 0,
        "docNo" => 0,
        "accountId" => 0,
        "accountName" => "string",
        "accountRequired" => true,
        "address" => "string",
        "city" => "string",
        "contact" => "string",
        "phone1" => "string",
        "phone2" => "string",
        "phone3" => "string",
        "phone4" => "string",
        "subjectId" => 0,
        "agentId" => 0,
        "agentName" => "string",
        "notes" => "string",
        "storeNo" => 0,
        "asmac" => "string",
        "provisionDate" => "2021-01-25T18:55:02.468Z",
        "returnDate" => "2021-01-25T18:55:02.469Z",
        "systemStatus" => 0,
        "status" => "string",
        "subTotal" => 0,
        "discount" => 0,
        "discountPercentage" => 0,
        "totalBeforeVat" => 0,
        "vat" => 0,
        "total" => 0,
        "paid" => 0,
        "createdDate" => "2021-01-25T18:55:02.469Z",
        "updatedDate" => "2021-01-25T18:55:02.469Z"
    ),
    "body" => array(
        "lineNo" => 0,
        "itemId" => "string",
        "itemName" => "string",
        "barcode" => "string",
        "auxcode" => "string",
        "color" => "string",
        "notes" => "string",
        "provisionDate" => "2021-01-25T18:55:02.469Z",
        "length" => 0,
        "width" => 0,
        "thickness" => 0,
        "weight" => 0,
        "packType" => "string",
        "packsInLot" => "string",
        "unitsInPack" => "string",
        "quantity" => 0,
        "unitPriceBeforeVAT" => 0,
        "discount" => 0,
        "salePriceBeforeVAT" => 0
    )
);
$post_product = array(
    "id" => "string",
    "barcode" => "string",
    "providerId" => 0,
    "itemNameHE" => "string",
    "itemNameEN" => "string",
    "unit" => "string",
    "characteristic1" => "string",
    "characteristic2" => "string",
    "sortCode1" => 0,
    "sortCode2" => 0,
    "sortCode3" => 0,
    "vatFlag" => "string",
    "price1" => 0,
    "price2" => 0,
    "price3" => 0,
    "price4" => 0,
    "price5" => 0,
    "price6" => 0,
    "price7" => 0,
    "price8" => 0,
    "price9" => 0,
    "price10" => 0,
    "currencyCode1" => 0,
    "currencyCode2" => 0,
    "currencyCode3" => 0,
    "currencyCode4" => 0,
    "currencyCode5" => 0,
    "currencyCode6" => 0,
    "currencyCode7" => 0,
    "currencyCode8" => 0,
    "currencyCode9" => 0,
    "currencyCode10" => 0,
    "supplerId1" => 0,
    "supplerId2" => 0,
    "supplerId3" => 0,
    "supplerId4" => 0,
    "createdDate" => "2021-01-25T18:54:36.133Z",
    "updatedDate" => "2021-01-25T18:54:36.133Z"
);
$post_invoice = array(
    "header" => array(
        "documentId" => 0,
        "docNo" => 0,
        "accountId" => 0,
        "accountName" => "string",
        "accountRequired" => true,
        "address" => "string",
        "city" => "string",
        "contact" => "string",
        "phone1" => "string",
        "phone2" => "string",
        "phone3" => "string",
        "phone4" => "string",
        "subjectId" => 0,
        "agentId" => 0,
        "agentName" => "string",
        "notes" => "string",
        "storeNo" => 0,
        "asmac" => "string",
        "provisionDate" => "2021-01-25T18:55:02.452Z",
        "returnDate" => "2021-01-25T18:55:02.452Z",
        "systemStatus" => 0,
        "status" => "string",
        "subTotal" => 0,
        "discount" => 0,
        "discountPercentage" => 0,
        "totalBeforeVat" => 0,
        "vat" => 0,
        "total" => 0,
        "paid" => 0,
        "createdDate" => "2021-01-25T18:55:02.452Z",
        "updatedDate" => "2021-01-25T18:55:02.452Z"
    ),
    "body" => array(
        array(
            "lineNo" => 0,
            "itemId" => "string",
            "itemName" => "string",
            "barcode" => "string",
            "auxcode" => "string",
            "color" => "string",
            "notes" => "string",
            "provisionDate" => "2021-01-25T18:55:02.452Z",
            "length" => 0,
            "width" => 0,
            "thickness" => 0,
            "weight" => 0,
            "packType" => "string",
            "packsInLot" => "string",
            "unitsInPack" => "string",
            "quantity" => 0,
            "unitPriceBeforeVAT" => 0,
            "discount" => 0,
            "salePriceBeforeVAT" => 0
        )
    )
);
